Subject: Standard Template Library
From: [email-masked] (Cheung Kwok Hung)

1 Jul 1997 15:14:30 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Original-To: [email-masked]
X-Mailer: ELM [version 2.4 PL25]
Original-Sender: [email-masked]

Hi,

Is there anybody try to use the gcc for Win32 with STL? I encounter a lot
of multiple definition errors during linking phase if I use STL container
in more than one source files. When I trace into the system header files.
I find that there is a header file "alloc.h" in /usr/include/g++ which
declare some static variables, which originate multiple declaration. I
also find that the STL headers provided in beta 18 is different from that
I got in "normal" gcc v.2.7.2. What is the problem?

Herman.

-- 
Cheung Kwok Hung, Herman ([email-masked])
Hong Kong University of Science and Technology 
Rm. 4209   Tel. 2358-8834 
http://www.cs.ust.hk/~cheungkh --- Under construction forever...
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".